Bug 314799 - Akregator: Author information is missing in some Atom articles
Summary: Akregator: Author information is missing in some Atom articles
Status: RESOLVED FIXED
Alias: None
Product: kdepimlibs
Classification: Unclassified
Component: syndication (show other bugs)
Version: 4.10
Platform: Gentoo Packages Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-02-09 23:09 UTC by Bartosz Brachaczek
Modified: 2014-01-03 12:35 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 4.12.1


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Bartosz Brachaczek 2013-02-09 23:09:59 UTC
I use Akregator to read Planet GNOME and Planet Gentoo Atom feeds, amongst others. In these two feeds I often observe lack of author information in the "Author" column in feed view in Akregator. One example is Matthew Garrett's blog on Planet GNOME. I found out that in the articles without author information there are indeed no author nodes under the entry node in the Atom XML, but there is author node in the source node. After reading fragment of RFC 4287 [4.2.1], I came to conclusion that this is Akregator's or, more presicely, the underlying library's fault.

   If an atom:entry element does not contain atom:author elements, then
   the atom:author elements of the contained atom:source element are
   considered to apply.  In an Atom Feed Document, the atom:author
   elements of the containing atom:feed element are considered to apply
   to the entry if there are no atom:author elements in the locations
   described above.

Reproducible: Always

Steps to Reproduce:
1. Add http://planet.gnome.org/atom.xml feed to Akregator.
2. Fetch it.
3. Look at the "Author" column. There is no author information in some articles.
Actual Results:  
There is no author information in some articles.

Expected Results:  
There should be author information in each article, provided that the Atom feed is standard-compliant.
Comment 1 Bartosz Brachaczek 2013-02-09 23:49:17 UTC
https://git.reviewboard.kde.org/r/108878/
Comment 2 Christophe Giboudeaux 2014-01-03 12:35:09 UTC
Git commit da4771582d438d54a96eacb55bb6219bfe520b4b by Christophe Giboudeaux, on behalf of Bartosz Brachaczek.
Committed on 03/01/2014 at 12:26.
Pushed by cgiboudeaux into branch 'KDE/4.11'.

Fix Bug 314799 - Author information is missing in some Atom articles

According to RFC 4287 [4.2.1]:

    If an atom:entry element does not contain atom:author elements, then
    the atom:author elements of the contained atom:source element are
    considered to apply.  In an Atom Feed Document, the atom:author
    elements of the containing atom:feed element are considered to apply
    to the entry if there are no atom:author elements in the locations
    described above.

REVIEW: 108878
FIXED-IN: 4.12.1

M  +4    -1    syndication/atom/document.cpp
M  +20   -6    syndication/atom/entry.cpp
M  +19   -4    syndication/atom/entry.h
A  +54   -0    syndication/tests/atom/atom10_authors_priority.xml
A  +51   -0    syndication/tests/atom/atom10_authors_priority.xml.expected
M  +15   -0    syndication/tests/atom/heise-atom.xml.expected

http://commits.kde.org/kdepimlibs/da4771582d438d54a96eacb55bb6219bfe520b4b